# Makefile template for sp	-*-Makefile-*-
# Copyright (C) 1996 Henry S. Thompson ht@thales.cogsci.ed.ac.uk
# $Header: /projects/ltg/projects/DSSSL/dsc-1.0/sp-1.1.1/RCS/Makefile.sub.in,v 1.3 1997/01/27 15:49:26 ht Exp $

# Name of GNU make utility, maybe
@SET_MAKE@

# Keep /bin/sh cd from screwing up
CDPATH =

srcdir=@srcdir@

all_sp-1.1.1:	SP.mak lib/libsp.a lib/libgrove.a lib/libspgrove.a include/Node.h


SP.mak:
	gunzip -c $(srcdir)/sp-1.1.1.tar.gz | ( cd .. ; tar -xf - )

lib/libsp.a:
	$(MAKE) srcdir=. CDPATH= lib

lib/libgrove.a: grove/libgrove.a
	cp grove/libgrove.a lib

lib/libspgrove.a: spgrove/libspgrove.a
	cp spgrove/libspgrove.a lib

grove/libgrove.a:
	$(MAKE) srcdir=. CDPATH= grove

spgrove/libspgrove.a:
	$(MAKE) srcdir=. CDPATH= spgrove

include/Node.h:
	cp spgrove/*.h include
	cp grove/*.h include

clean_sp-1.1.1:	FORCE
	$(MAKE) srcdir=. CDPATH= clean

FORCE:
